Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1604 - wmconfig has hardcoded -fg and -bg colors for xterms
Summary: wmconfig has hardcoded -fg and -bg colors for xterms
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: AfterStep
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-18 17:00 UTC by tpoindex
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-09 21:29:04 UTC


Attachments (Terms of Use)

Description tpoindex 1999-03-18 17:00:18 UTC
I believe this is a wmconfig setting somewhere; perhaps it's
really an afterstep problem.

When starting X with normal 'startx', wmconfig runs,
selecting 'afterstep' (in my case.)  The afterstep
configuration in
 ~/GNUstep/Library/non-configurable/startmenu
always is created with xterm & nxterm using -bg black and
-fg peachpuff, thus overriding my preferences in
~/.Xdefaults.  I don't care for that particular color
combination, and I consider it a bug that wmconfig (or
afterstep) continually overrides my preferences.

I've tried to eliminate all hard coded values in various
config files for wmconfig and afterstep, but can't seem to
get rid of the -bg and -fg values.

Thanks,
Tom Poindexter

Comment 1 David Lawrence 1999-03-21 22:26:59 UTC
Thank you for the suggestion. It has been assigned to a developer for
review.

Comment 2 Mike Maher 1999-03-22 23:48:59 UTC
This is an afterstep request.

Comment 3 Michael K. Johnson 1999-04-09 21:29:59 UTC
AfterStep seems to do this kind of thing for every application.
It appears to be a style decision on their part and we'd get as
much flack for changing it as for leaving it alone, and so there
isn't much to be gained from us trying to maintain a patch to
change this behaviour, regardless of our personal opinions of
the appropriateness of this behaviour.

I suggest that you either choose a window manager that is not
configured this way or lobby the AfterStep maintainers to change
their defaults.


Note You need to log in before you can comment on or make changes to this bug.